<div class='view-container ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>'>
    <card class='view-card<#if !view.isShowCaptionBar()> view-no-caption</#if>'  dis-hover={true} bordered={false}>
<@ibizindent blank=8>
<#ibizinclude>
./VIEW_CAPTION.tsx.ftl
</#ibizinclude>
</@ibizindent>

<#if view.hasPSControl('propertypanel')>
<#assign propertypanel = view.getPSControl('propertypanel')>
        <property-layout<#if propertypanel.getWidth() gt 0> width="${propertypanel.getWidth()?c}"</#if><#if propertypanel.getHeight() gt 0> height="${propertypanel.getHeight()?c}"</#if> propertyType={'<#if propertypanel.getUserTag()??>${propertypanel.getUserTag()}</#if>'}>
            <template slot="propertypanel">
<@ibizindent blank=16>
${P.getCtrlCode('propertypanel', 'CONTROL.html').code}
</@ibizindent>
            </template>
<#else>
        <property-layout>
</#if>
        <#comment><!--开始：快速搜索或工具栏存在--></#comment>
        <#if (view.isEnableQuickSearch() || view.hasPSControl('toolbar'))>
        <row style='margin-bottom: 6px;'>
            <#if view.isEnableQuickSearch()>
            <i-input v-model={this.query} search enter-button on-on-search={($event: any) => this.onSearch($event)} class='pull-left' style='width: 400px;margin-top:6px;' />
            </#if>
            <div class='pull-right'>
<@ibizindent blank=16>
<#if view.hasPSControl('toolbar')>
${P.getCtrlCode('toolbar', 'CONTROL.html').code}
</#if>
</@ibizindent>
            </div>
        </row>
        </#if>
        <#comment><!--结束：快速搜索或工具栏存在--></#comment>
<@ibizindent blank=12>
<#if view.hasPSControl('searchform')>
${P.getCtrlCode('searchform', 'CONTROL.html').code}
</#if>
<#if view.hasPSControl('list')>
${P.getCtrlCode('list', 'CONTROL.html').code}
</#if>
</@ibizindent>
        </property-layout>
    </card>
</div>